Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2
Class WSDLRegistry

    java.lang.Object
      org.apache.ode.bpel.compiler.v2.WSDLRegistry

    public class WSDLRegistry

extends java.lang.Object

A parsed collection of WSDL definitions, including BPEL-specific extensions.

Constructor Summary
`WSDLRegistry(CompilerContext cc)`

Method Summary
`void` | `addDefinition(Definition4BPEL def, ResourceFinder rf, java.net.URI defuri)` Adds a WSDL definition for use in resolving MessageType, PortType, Operation and BPEL properties and property aliases
`void` | `addSchemas(java.util.Map<java.net.URI,byte[]> capture)`
`Definition4BPEL[]` | `getDefinitions()`
`javax.wsdl.Message` | `getMessage(javax.xml.namespace.QName msgType)`
`PartnerLinkType` | `getPartnerLinkType(javax.xml.namespace.QName partnerLinkType)`
`javax.wsdl.PortType` | `getPortType(javax.xml.namespace.QName portType)`
`Property` | `getProperty(javax.xml.namespace.QName name)`
`PropertyAlias` | `getPropertyAlias(javax.xml.namespace.QName propertyName, javax.xml.namespace.QName messageType)`
`SchemaModel` | `getSchemaModel()` Get the schema model (XML Schema).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLRegistry

    public WSDLRegistry(CompilerContext cc)

Method Detail

### getDefinitions

    public Definition4BPEL[] getDefinitions()

### getSchemaModel

    public SchemaModel getSchemaModel()

  Get the schema model (XML Schema).

  Returns:
    schema model

### addDefinition

    public void addDefinition(Definition4BPEL def,
                              ResourceFinder rf,
                              java.net.URI defuri)
                       throws CompilationException

  Adds a WSDL definition for use in resolving MessageType, PortType, Operation and BPEL properties and property aliases

  Parameters:
    `def` - WSDL definition
  Throws:
    `CompilationException`

### addSchemas

    public void addSchemas(java.util.Map<java.net.URI,byte[]> capture)

### getProperty

    public Property getProperty(javax.xml.namespace.QName name)

### getPropertyAlias

    public PropertyAlias getPropertyAlias(javax.xml.namespace.QName propertyName,
                                          javax.xml.namespace.QName messageType)

### getPartnerLinkType

    public PartnerLinkType getPartnerLinkType(javax.xml.namespace.QName partnerLinkType)

### getPortType

    public javax.wsdl.PortType getPortType(javax.xml.namespace.QName portType)

### getMessage

    public javax.wsdl.Message getMessage(javax.xml.namespace.QName msgType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD